Subject: Re: Kernel Oops when receiving a lot of UDP packets while booting

From: Peter Desnoyers <[email-masked]>
Date: Mon, 07 Jan 2002 10:02:22 -0500

> I have verified that I am getting packets over the ethernet
> before the scc_enet_open() is called, I somehow suspect that
> this might be causing my random crashes.

You just kludge it by looking at your 'opened' flag and dropping the
packet in scc_enet_rx if it's false.  If it stops the crashes, you'll be
OK until you find a version of the driver that doesn't have this
problem.

The version of the driver I use does all the hardware initialization in
scc_enet_init, and then all that scc_enet_open does is call
netif_start_queue.

--
.....................................................................
 Peter Desnoyers            (781) 457-1165   [email-masked]
 Chinook Communications     (617) 661-1979   [email-masked]
 100 Hayden Ave, Lexington MA 02421

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/